org.kie.api.management

## Class GAV

- java.lang.Object
- - org.kie.api.management.GAV

- All Implemented Interfaces:
    Comparable<ReleaseId>, org.appformer.maven.support.AFReleaseId, ReleaseId

      public class GAV
      extends Object
      implements ReleaseId

  A simple immutable pojo representing Maven GAV coordinates, with a JMX-compliant method in order to be exposed and used via JMX/Monitoring.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GAV(String groupId, String artifactId, String version)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GAV` | `from(CompositeData cd)`
    `static GAV` | `from(ReleaseId rel)`
    `String` | `getArtifactId()`
    `String` | `getGroupId()`
    `String` | `getVersion()`
    `boolean` | `isSnapshot()`
    `boolean` | `sameGAVof(ReleaseId other)`
    `String` | `toExternalForm()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.builder.ReleaseId

      `compareTo`

- - ### Constructor Detail

    - #### GAV

          public GAV(String groupId,
                     String artifactId,
                     String version)

  - ### Method Detail

    - #### getGroupId

          public String getGroupId()

      Specified by:
        `getGroupId` in interface `org.appformer.maven.support.AFReleaseId`

    - #### getArtifactId

          public String getArtifactId()

      Specified by:
        `getArtifactId` in interface `org.appformer.maven.support.AFReleaseId`

    - #### getVersion

          public String getVersion()

      Specified by:
        `getVersion` in interface `org.appformer.maven.support.AFReleaseId`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toExternalForm

          public String toExternalForm()

      Specified by:
        `toExternalForm` in interface `org.appformer.maven.support.AFReleaseId`

    - #### isSnapshot

          public boolean isSnapshot()

      Specified by:
        `isSnapshot` in interface `org.appformer.maven.support.AFReleaseId`

    - #### from

          public static GAV from(CompositeData cd)

    - #### from

          public static GAV from(ReleaseId rel)

    - #### sameGAVof

          public boolean sameGAVof(ReleaseId other)

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.